FCEUX(6)

NAME
fceux - emulator for the Nintendo Entertainment System and Famicom

SYNOPSIS
fceux [options] file

DESCRIPTION
fceux is an emulator for the original (8-bit) Nintendo Entertainment System (NES). It has a robust color palette rendering engine that is fully customizable, along with excellent sound and joystick support, and even supports movie recording and playback.

OPTIONS

  Misc. Options

--no-config 0 | 1
    Use default config file and do not save to it, when enabled.

-g 0 | 1, --gamegenie 0 | 1
    Enable or disable emulated Game Genie.

--nogui 0 | 1
    Enable or disable the GTK graphical interface.

--loadlua file
    Loads Lua script from filename file.

  Emulation Options

--pal 0 | 1
    Enable or disable PAL mode.

  Input Options

-i dev, --inputcfg dev
    Configures input device dev on startup. Devices include: gamepad powerpad hypershot quizking

--input1 dev

--input2 dev
    Set which input device to emulate for input 1 or 2. Devices include: gamepad zapper powerpad.0 powerpad.1 arkanoid

--input3 dev

--input4 dev
    Set the Famicom expansion device to emulate for input 3 or 4. Devices include: quizking hypershot mahjong toprider ftrainer familykeyboard oekakids arkanoid shadow bworld 4player

--inputdisplay 0 | 1
    Enable or disable input display.

--fourscore 0 | 1
    Enable or disable Fourscore emulation.

  Graphics Options

--newppu 0 | 1
    Enable or disable the new PPU core. (Warning: May break savestates)

--frameskip frames
    Set number of frames to skip per emulated frame.

--clipsides 0 | 1
    Enable or disable clipping of the leftmost and rightmost 8 columns of the video output.

--slstart scanline
    Set the first scanline to be rendered.

--slend scanline
    Set the last scanline to be rendered.

--nospritelim 0 | 1
    When set to 0, this disables the normal 8 sprites per scanline limitation. When set to 1, this enables the normal 8 sprites per scanline limitation. Note: Yes, this option is ‘backwards’.

-x xres, --xres xres
    Set horizontal resolution for full screen mode.

-y yres, --yres yres
    Set vertical resolution for full screen mode.

--doublebuf 0 | 1
    Enable or disable double buffering.

--autoscale 0 | 1
    Enable or disable autoscaling in fullscreen.

--keepratio 0 | 1
    Keep native NES aspect ratio when autoscaling.

--xscale val

--yscale val
    Multiply width/height by val. val can be a real number greater than 0 with OpenGL output; otherwise, it must be an integer greater than 0.

--xstretch 0 | 1

--ystretch 0 | 1
    Stretch to fill surface on x/y axis (OpenGL only).

-b 8 | 16 | 24 | 32, --bpp 8 | 16 | 24 | 32
    Set bits per pixel.

--opengl 0 | 1
    Enable or disable OpenGL support.

--openglip 0 | 1
    Enable or disable OpenGL linear interpolation.

-f 0 | 1, --fullscreen 0 | 1
    Enable or disable full-screen mode.

--noframe 0 | 1
    Hide title bar and window decorations.

--special filter
    Use special video scaling filters. filter is a number from 1–5:
    1   hq2x
    2   Scale2x
    3   NTSC
    4   hq3x
    5   Scale3x

-p file, --palette file
    Use the custom palette in file.

--ntsccolor 0 | 1
    Enable or disable NTSC NES colors.

--tint val
    Set the NTSC tint.

--hue val
    Set the NTSC hue.

  Sound Options

-s 0 | 1, --sound 0 | 1
    Enable or disable sound.

--soundrate rate
    Set the sound playback sample rate (0 = off?).

--soundq 0 | 1 | 2
    Set sound quality.
    0   Low
    1   High
    2   Very high

--soundbufsize n
    Set sound buffer size to n milliseconds.

--volume val
    Set sound volume to the given value, which can range from 0 to a maximum of 256.

--trianglevol val
    Set sound volume of the triangle wave to the given value, which can range from 0 to a maximum of 256.

--square1vol val
    Set sound volume of square wave 1 to the given value, which can range from 0 to a maximum of 256.

--square2vol val
    Set sound volume of square wave 2 to the given value, which can range from 0 to a maximum of 256.

--noisevol val
    Set sound volume of the noise generator to the given value, which can range from 0 to a maximum of 256.

--lowpass 0 | 1
    Enable or disable lowpass filtering of the sound.

--soundrecord file
    Record sound to file.

  Movie Options

--playmov file
    Play back a recorded FCM/FM2 movie from file.

--pauseframe frame
    Pause movie playback at frame frame.

--moviemsg 0 | 1
    Enable or disable movie messages.

--fcmconvert file
    Convert fcm movie file file to fm2.

--ripsubs file
    Convert movie’s subtitles to SubRip (srt) subtitles.

--subtitles 0 | 1
    Enable or disable subtitle display.

  Networking Options

-n server, --net server
    Connect to server for TCP/IP network play.

--port port
    Use TCP/IP port port for network play.

-u nick, --user nick
    Set the nickname to use in network play.

-w pass, --pass pass
    Set password to use for connecting to the server.

-k netkey, --netkey netkey
    Use the string netkey to create a unique session for the game loaded.

--players num
    Set the number of local players.

--rp2mic 0 | 1
    If enabled, replace Port 2 Start with microphone (Famicom).

--videolog c
    Calls mencoder to grab the video and audio streams to encode them. Check the documentation for more on this.

--mute 0 | 1
    Mutes fceux while still passing the audio stream to mencoder.

KEYBOARD COMMANDS
fceux has a number of commands available within the emulator. It also includes default keyboard bindings when emulating game pads or power pads.

  Gamepad Keyboard Bindings
NES Gamepad | Keyboard
↑ | Keypad Up
↓ | Keypad Down
← | Keypad Left
→ | Keypad Right
A | F
B | D
Select | S
Start | Enter

  Other Commands

<Alt+Enter>
    Toggle full-screen mode.

<F1>
    Cheat menu (command-line only).

<F2>
    Toggle savestate binding to movies.

<F3>
    Load Lua script.

<F4>
    Toggles background rendering.

<F5>
    Save game state into current slot (set using number keys).

<F7>
    Restore game state from current slot (set using number keys).

<F10>
    Toggle movie subtitles.

<F11>
    Reset NES.

<F12>
    Save screen snapshot.

<Shift+F5>
    Begin recording video.

<Shift+F7>
    Load recorded video.

0–9 Select the numbered save state slot.

<Page Up> / <Page Down>
    Select next/previous state.

-   Decrease emulation speed.

=   Increase emulation speed.

<Tab>
    Hold for turbo emulation speed.

<Pause>
    Pause emulation.

\   Advance a single frame.

.   Toggle movie frame counter.

,   Toggle input display.

q   Toggle movie read-only.

'   Advance a single frame.

/   Lag counter display.

<Delete>
    Frame advance lag skip display.

<Esc>
    Quit fceux.

  VS Unisystem Commands

<F8>
    Insert coin.

<F6>
    Show/hide dip switches.

1–8 Toggle dip switches (when dip switches are shown).

  Famicom Disk System Commands

<F6>
    Select disk and disk side.

<F8>
    Eject or insert disk.

SEE ALSO
fceux-net-server(6)

The FCEUX homepage: http://fceux.com/.

AUTHORS
-nosplit This manual page was written by Joe Nahmias <joe@nahmias.net>, Lukas Sabota <ltsmooth42@gmail.com> and Alexander Toresson <alexander.toresson@gmail.com> for the Debian GNU/Linux system (but may be used by others).